Public Member Functions | Public Attributes | List of all members
clan::HTMLUrl Class Reference

Class for handling HTML urls. More...

`#include <html_url.h>`

## Public Member Functions
| HTMLUrl ()
| HTMLUrl (const std::string &url, const HTMLUrl &base=HTMLUrl())
std::string | to_string () const

## Public Attributes
std::string | content_type
std::string | data
std::string | encoding
std::string | host
std::string | path
std::string | port
std::string | query
std::string | scheme

## Detailed Description

Class for handling HTML urls.

## Constructor & Destructor Documentation

clan::HTMLUrl::HTMLUrl | ( |  | ) |

clan::HTMLUrl::HTMLUrl | ( | const std::string & | url,
|  | const HTMLUrl & | base = `HTMLUrl()`
| ) |  |

## Member Function Documentation

std::string clan::HTMLUrl::to_string | ( |  | ) | const

## Member Data Documentation

std::string clan::HTMLUrl::content_type

std::string clan::HTMLUrl::data

std::string clan::HTMLUrl::encoding

std::string clan::HTMLUrl::host

std::string clan::HTMLUrl::path

std::string clan::HTMLUrl::port

std::string clan::HTMLUrl::query

std::string clan::HTMLUrl::scheme

The documentation for this class was generated from the following file:

- html_url.h